Ergebnis 1 bis 6 von 6

Thema: Nach dem Update auf 4.9 Fehler bei "XML-Dateien neu schreiben"

  1. #1
    Contao-Nutzer
    Registriert seit
    17.05.2013.
    Beiträge
    19

    Standard Nach dem Update auf 4.9 Fehler bei "XML-Dateien neu schreiben"

    Hallo,

    nach dem Update meiner WebSeite von 4.4.x auf 4.9.x bekomme ich eine Fehlermeldung, wenn ich in der Systemverwaltung die Option "XML-Dateien neu schreiben" auswähle. Die Fehlermeldung lautet:

    Internal Server Error / Could not find template "gallery_default_isotope_margin"

    und im LOG finde ich:

    [2021-08-02 21:30:29] request.CRITICAL: Uncaught PHP Exception Exception: "Could not find template "gallery_default_isotope_margin"" at /html/contao/vendor/contao/core-bundle/src/Resources/contao/library/Contao/TemplateLoader.php line 158 {"exception":"[object] (Exception(code: 0): Could not find template "gallery_default_isotope_margin" at /html/contao/vendor/contao/core-bundle/src/Resources/contao/library/Contao/TemplateLoader.php:158)"} []

    Das Template "gallery_default_isotope_margin.html5" ist aber im Ordner ./html/contao/templates/layout vorhanden.

    Was verursacht den Fehler?

    Danke und viele Grüße

    Torsten

  2. #2
    Contao-Nutzer
    Registriert seit
    17.05.2013.
    Beiträge
    19

    Standard

    Hallo, würde mich freuen, hier ein Feedback zu bekommen.
    Vielen Dank!
    Torsten

  3. #3
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.251
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Und das Unterverzeichnis "layout" ist in deinem Theme als Template-Ordner angegeben?

  4. #4
    Contao-Nutzer
    Registriert seit
    17.05.2013.
    Beiträge
    19

    Standard

    Zitat Zitat von tab Beitrag anzeigen
    Und das Unterverzeichnis "layout" ist in deinem Theme als Template-Ordner angegeben?
    Ich denke mal ja, zumindest nach der Hardcopy.

    Was ich zudem festgestellt habe, ist dass die sitemap.xml Datei trotz des Fehlers erstellt wird.2021-09-20 20_59_08-Clipboard.png

  5. #5
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    27.922
    Partner-ID
    10107

    Standard

    Nutze den Debug-Modus und poste den Stack Trace.
    » sponsor me via GitHub or PayPal

  6. #6
    Contao-Urgestein
    Registriert seit
    20.09.2012.
    Ort
    Lüneburger Heide
    Beiträge
    1.674
    User beschenken
    Wunschliste
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Hi,

    ist Deine Eclipseversion aktuell?
    Eclipse 9 ist nicht mit Contao >= 4.9.16 kompatibel.
    Wenn Du EclipseX verwendest, musst Du mindestens EclipseX 3.0.6 -> besser 3.0.8 (derzeit die aktuellste Version) verwenden.

    Solltest Du nur CustomElements nutzen, musst Du mindestens die Version 4.3.9 verwenden.

    Gruß
    tschero

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •